import { IApiResponse, IApiResponseCollection, IPayout, IPayoutBalanceTransaction } from '..';
export interface IPayoutService {
    fetchPayouts(accountId: string, authToken: string, params: any): Promise<IApiResponseCollection<IPayout[]>>;
    fetchPayout(payoutId: string, authToken: string): Promise<IApiResponse<IPayout>>;
    fetchCSV(payoutId: string, authToken: string): Promise<IApiResponse<any>>;
    fetchPayoutTransactions(accountId: string, authToken: string, params: any): Promise<IApiResponseCollection<IPayoutBalanceTransaction[]>>;
}
export declare class PayoutService implements IPayoutService {
    fetchPayouts(accountId: string, authToken: string, params: any): Promise<IApiResponseCollection<IPayout[]>>;
    fetchPayout(payoutId: string, authToken: string): Promise<IApiResponse<IPayout>>;
    fetchCSV(payoutId: string, authToken: string): Promise<IApiResponse<any>>;
    fetchPayoutTransactions(accountId: string, authToken: string, params: any): Promise<IApiResponseCollection<IPayoutBalanceTransaction[]>>;
}
